java.awt.datatransfer

## Interface FlavorListener

- All Superinterfaces:
    EventListener

      public interface FlavorListener
      extends EventListener

  Defines an object which listens for `FlavorEvent`s.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flavorsChanged(FlavorEvent e)` Invoked when the target `Clipboard` of the listener has changed its available `DataFlavor`s.

- - ### Method Detail

    - #### flavorsChanged

          void flavorsChanged(FlavorEvent e)

      Invoked when the target `Clipboard` of the listener has changed its available `DataFlavor`s.

      Some notifications may be redundant — they are not caused by a change of the set of DataFlavors available on the clipboard. For example, if the clipboard subsystem supposes that the system clipboard's contents has been changed but it can't ascertain whether its DataFlavors have been changed because of some exceptional condition when accessing the clipboard, the notification is sent to ensure from omitting a significant notification. Ordinarily, those redundant notifications should be occasional.

      Parameters:
        `e` - a `FlavorEvent` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.